package statej.ast;

import statej.Visitor;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004 NIcholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public class NegNode extends UnaryNode
{
    public NegNode(ExprNode e, int lineNumber, int colNumber)
    {
        super(e, lineNumber, colNumber);
    }

    public Object accept(Visitor v)
    {
        return v.visit(this);
    }

    public String toString()
    {
        return "-" + child;
    }
    public String eol()
    {
    	throw new RuntimeException("non-promotable expression");
    }
}