package statej.typeChecker;

import statej.ast.Node;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: a declared variable in the symbol table</p>
 * <p>Copyright: Copyright (c) 2004 NIcholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public class VariableSymbol extends VarSymbol
{
    /**
     * create a new symbol table entry of kind variable
     * @param name the variable's id
     * @param type the name of the type of the variable
     * @param decl the node where the variable is declared
     */
    public VariableSymbol(String name, String type, Node decl)
    {
        super(name, type, decl);
    }

    public String getKind()
    {
        return "variable";
    }
}