package statej.ast;

import statej.Visitor;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004 NIcholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public class ComparNode extends BinaryNode
{
	protected String op;
	
    public ComparNode(String op, ExprNode e1, ExprNode e2, int lineNumber, int colNumber)
    {
        super(e1, e2, lineNumber, colNumber);
        this.op = op;
    }

    public Object accept(Visitor v)
    {
        return v.visit(this);
    }

    public String toString()
    {
        return left + " " + op + " " + right;
    }
    public String eol()
    {
    	throw new RuntimeException("non-promotable expression");
    }
    
    public String getOp()
    {
    	return op;
    }
}