package statej.runtime;

public class StateObject
{
	protected int __prevState = -1;
	protected int __curState = -1;
	protected Object __lock = new Object();
	
	protected void __changeState(int state)
	{
		synchronized (this.__lock)
		{
			this.__prevState = this.__curState;
			__curState = state;
			__lock.notifyAll();
		}
	}

}
